Bug 848754 - Defeating PPTP VPNs and WPA2 Enterprise with MS-CHAPv2 (DEF CON 20)
Defeating PPTP VPNs and WPA2 Enterprise with MS-CHAPv2 (DEF CON 20)
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120728,reported=2...
: Security
Depends On:
Blocks: 848796
  Show dependency treegraph
 
Reported: 2012-08-16 07:10 EDT by Jan Lieskovsky
Modified: 2015-07-31 06:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 11:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-16 07:10:35 EDT
At DEF CON 20 Conference, Moxie Marlinspike, David Hulton and Marsh Ray presented a way to efficiently extract user passwords from the captured  MS-CHAPv2 authentication exchange.  They described how to reduce complexity of the attack to the complexity of cracking single DES - 2^56, and demonstrated this can be done in less that 24 hours using a specialized hardware.  Details can be found in:

https://www.cloudcracker.com/blog/2012/07/29/cracking-ms-chap-v2/
http://www.defcon.org/html/defcon-20/dc-20-speakers.html#Marlinspike

Additionally, chapcrack tool was published which extracts MS-CHAPv2 handshakes from network capture files (pcap) and use CloudCracker service to extract user password.

https://github.com/moxie0/chapcrack
https://www.cloudcracker.com/

Presentation points out two common uses of MS-CHAPv2 - PPTP (Point-to-Point Tunneling Protocol) VPNs and WPA2 Enterprise network/wifi authentication.

Additional references:
https://isc.sans.edu/diary.html?storyid=13807
http://arstechnica.com/security/2012/07/broken-microsoft-sheme-exposes-traffic/
Comment 2 Tomas Hoger 2012-08-16 10:44:41 EDT
(In reply to comment #0)

> They described how to reduce complexity of the attack to the complexity of
> cracking single DES - 2^56, and demonstrated this can be done in less that
> 24 hours using a specialized hardware.

Additional internet sources point out that this reduction to 2^57 / 2^56 was previously known and documented, such as in Bruce Schneier analysis of MS-CHAPv2 security:

http://www.schneier.com/blog/archives/2012/08/breaking_micros.html#c841247
http://www.schneier.com/paper-pptpv2.pdf
http://www.mail-archive.com/bugtraq@securityfocus.com/msg00023.html

> Presentation points out two common uses of MS-CHAPv2 - PPTP (Point-to-Point
> Tunneling Protocol) VPNs and WPA2 Enterprise network/wifi authentication.

This presentation demonstrates that with current hardware, it's possible to extract passwords from MS-CHAPv2 handshakes quickly regardless of the actual user password length.  Authors point out that this renders the use of PPTP VPNs completely insecure, as extracted password allows decryption of the whole VPN communication.

In Red Hat Enterprise Linux and Fedora, this would affect uses of pptp client packages (along with ppp), and NetworkManager-pptp.  There's currently no known mitigation for this issue for this use case, presentation authors recommend migration to different VPN solutions.

Following blog post discusses WPA2 Enterprise use case.  It points out that MS-CHAPv2 is used as EAP tunneled authentication protocol, such as with PEAPv0/EAP-MSCHAPv2 and EAP-TTLS.  MS-CHAPv2 handshake packets are exchanged over previously established TLS connection.  The use of TLS prevents passive eavesdroppers from being able to easily sniff MS-CHAPv2 handshake, while wifi client configuration requiring verification of the SSL certificate of the Radius authentication server is required to prevent attacks from active MITM attackers trying to impersonate authentication server to obtain MS-CHAPv2 response form the client.  The post concludes the impact of this on WPA2 use cases is minimal compared to the previous previous knowledge of the security of used protocols.

http://revolutionwifi.blogspot.com/2012/07/is-wpa2-security-broken-due-to-defcon.html

In Red Hat Enterprise Linux and Fedora, FreeRadius is available as open source implementation of the Radius server that includes MS-CHAPv2 support.  On the client side, wpa_supplicant and NetworkManager are used.
Comment 5 Tomas Hoger 2012-09-06 11:44:24 EDT
Closing this.  MS-CHAPv2 is broken and should only be used in protected / tunneled connections, or alternatives considered.

Note You need to log in before you can comment on or make changes to this bug.